This guide is to show you how to change the minimum OS requirement of IPA for the iphone 3g user that still using FW 3.1.2 like me , since most of the application is limit for 3.1.3.

1. You need to get these program:

plist editor - [Only registered and activated users can see links. ]

and

winrar - [Only registered and activated users can see links. ]

2. Get the xxx.ipa [applications you want.]

3. Open winrar, and use the winrar to open the xxx.ipa
And you can see the list of file .

4. Go to Payload > xxx.app > , and find the file 'info.plist'

5. Drag or Extract the 'info.plist' file to the desktop.
When the file on desktop. Delete the original 'info.plist' in the xxx.ipa

6. Open plist editor, and open the 'info.plist' on desktop

7. Read through the file and find "MinimumOSVersion"
Change it to 3.1.2 and save the file.

8. Copy the 'info.plist' on desktop that has been edited to the location
of the original 'info.plist' in xxx.ipa.

9. Put into the itunes and sync.

10. And Enjoy

Sorry if there is a guide that has been guide the same thing cause i cant found any complete guide.
And thanks to sgummamento for info me of info.plist file.